function ultracore:gameplay/progression_detection
execute if score @p uc.score.difficulty matches 1 run function ultracore:mobs/level_1
execute if score @p uc.score.difficulty matches 2 run function ultracore:mobs/level_2
execute if score @p uc.score.difficulty matches 3 run function ultracore:mobs/level_3
execute if score @p uc.score.difficulty matches 4 run function ultracore:mobs/level_4

function ultracore:environments/environment_manager
function ultracore:events/event_manager
execute as @e[type=item,nbt={Item: {id: "minecraft:amethyst_shard", Count: 1b}}] run function ultracore:revival/revival_manager
execute as @a[team=!uc.team.players] run function ultracore:scoreboards
execute as @e[type=item,nbt={Item: {id: "minecraft:blaze_rod", Count: 2b}}] run function ultracore:sun_summoning/sun_manager
execute as @e[type=boat,nbt={Passengers:[{id:"minecraft:enderman"}]}] run function ultracore:mobs/kill_enderman_boat
effect clear @a[predicate=ultracore:item_detection/mainhand_bowl,scores={uc.score.difficulty=2..}] regeneration
effect clear @a[predicate=ultracore:item_detection/offhand_bowl,scores={uc.score.difficulty=2..}] regeneration
data modify entity @e[tag=uc.tag.boss,limit=1,sort=random,type=zombie] DrownedConversionTime set value -1

gamemode spectator @a[scores={uc.score.deaths=1..}]
execute as @a[scores={uc.score.deaths=1..}] run title @s actionbar [{"text": "GAME OVER! - You made it to level ","color":"dark_red","bold": true},{"score":{"name": "@s","objective": "uc.score.difficulty"},"color": "dark_red","bold": true}]

scoreboard players set @a[scores={uc.score.clock=20..}] uc.score.clock 0

data remove entity @e[type=slime,nbt=!{Size:10},limit=1] DeathLootTable
